import { OnChanges, OnDestroy, OnInit } from '@angular/core';
import { FitBoundsAccessor } from '../../services/abstract/abstract-map-fitbounds-accessor.service';
import { FitBoundsService } from '../../services/fitbounds.service';
export declare class FitBoundsDirective implements OnInit, OnChanges, OnDestroy {
    private readonly _fitBoundsAccessor;
    private readonly _fitBoundsService;
    dexFitBounds: boolean;
    private _destroyed$;
    private _latestFitBoundsDetails;
    constructor(_fitBoundsAccessor: FitBoundsAccessor, _fitBoundsService: FitBoundsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private _updateBounds;
}
