import { NgZone } from '@angular/core';
import { Observable } from 'rxjs';
import { IMapGoogleEventTarget } from '../interfaces/google-event.target.interface';
export declare class EventService {
    private _zone;
    private _pending;
    private _target;
    constructor(_zone: NgZone);
    getEventListener<T>(name: string): Observable<T>;
    setTarget(target: IMapGoogleEventTarget): void;
    destroy(): void;
}
