import { ModuleWithProviders } from '@angular/core';
import { IAPILoaderConfig } from '../interfaces/api-loader-config.interface';
import { MapComponent } from '../components/map/map.component';
import { BicyclingLayerDirective } from '../directives/bicycling-layer/bicycling-layer.directive';
import { CircleDirective } from '../directives/circle/circle.directive';
import { FitBoundsDirective } from '../directives/fitbounds/fitbounds.directive';
import { GroundOverlayDirective } from '../directives/ground-overlay/ground-overlay.directive';
import { KmlLayerDirective } from '../directives/kml-layer/kml-layer.directive';
import { MarkerDirective } from '../directives/marker/marker.directive';
import { PolygonDirective } from '../directives/polygon/polygon.directive';
import { PolylineDirective } from '../directives/polyline/polyline.directive';
import { RectangleDirective } from '../directives/rectangle/rectangle.directive';
import { TrafficLayerDirective } from '../directives/traffic-layer/traffic-layer.directive';
import { TransitLayerDirective } from '../directives/transit-layer/transit-layer.directive';
export declare function mapsComponents(): (typeof MapComponent | typeof BicyclingLayerDirective | typeof CircleDirective | typeof FitBoundsDirective | typeof GroundOverlayDirective | typeof KmlLayerDirective | typeof MarkerDirective | typeof PolygonDirective | typeof PolylineDirective | typeof RectangleDirective | typeof TrafficLayerDirective | typeof TransitLayerDirective)[];
export declare class DgmMapsModule {
    static forRoot(APILoaderConfig?: IAPILoaderConfig): ModuleWithProviders<DgmMapsModule>;
}
