import { Observable } from 'rxjs';
import { IAPILoaderConfig } from '../interfaces/api-loader-config.interface';
import { WindowRef } from '../models/window-ref.model';
import { DocumentRef } from '../models/document-ref.model';
import { MapsAPILoader } from './abstract/abstract-map-api-loader.service';
export declare class LazyMapsAPILoader extends MapsAPILoader {
    private _config;
    private _windowRef;
    private _documentRef;
    private _localeId;
    private _scriptLoading$;
    constructor(_config: IAPILoaderConfig, _windowRef: WindowRef, _documentRef: DocumentRef, _localeId: string);
    load(): Observable<void>;
    private _createElementScript;
    private _getMapsScriptSrc;
    private _getScriptSrc;
    private _getProtocol;
    private _getParams;
    private _getScriptUrl;
    private _getQueryParams;
}
